<table mat-table [dataSource]="dataSource" class="mat-elevation-z8 demo-table">

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>ID</th>
    <td mat-cell *matCellDef="let user">{{user.id}}</td>
  </ng-container>

  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef>EMAIL</th>
    <td mat-cell *matCellDef="let user">{{user.email}}</td>
  </ng-container>

  <ng-container matColumnDef="subject">
    <th mat-header-cell *matHeaderCellDef>SUBJECT</th>
    <td mat-cell *matCellDef="let user">{{user.subject}}</td>
  </ng-container>

  <ng-container matColumnDef="lastName">
    <th mat-header-cell *matHeaderCellDef>LAST NAME</th>
    <td mat-cell *matCellDef="let user">{{user.lastName}}</td>
  </ng-container>

  <ng-container matColumnDef="firstName">
    <th mat-header-cell *matHeaderCellDef>FIRST NAME</th>
    <td mat-cell *matCellDef="let user">{{user.firstName}}</td>
  </ng-container>

  <ng-container matColumnDef="phoneNumber">
    <th mat-header-cell *matHeaderCellDef>PHONE NUMBER</th>
    <td mat-cell *matCellDef="let user">{{user.phoneNumber}}</td>
  </ng-container>

  <ng-container matColumnDef="profiles">
    <th mat-header-cell *matHeaderCellDef>PROFILES</th>
    <td mat-cell *matCellDef="let user">
    <mat-list *ngFor="let profile of user.profiles">
      <mat-list-item> {{profile.name}} </mat-list-item>
    </mat-list>
  </td>
  </ng-container>

  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>ACTIONS</th>
    <td mat-cell *matCellDef="let user">
      <button type="button" class="btn btn-success" (click)="updateUser(user)"><mat-icon>edit</mat-icon></button>
      <button type="button" class="btn btn-danger mt-1" (click)="deleteUser(user)"><mat-icon>delete</mat-icon></button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr
      mat-row
      (click)="clickedRows.add(row)"
      [class.demo-row-is-clicked]="clickedRows.has(row)"
      *matRowDef="let row; columns: displayedColumns;"
  ></tr>

</table>
